ResourceBreadcrumbTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.ResourceBreadcrumbTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class ResourceBreadcrumbTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.ResourceBreadcrumbTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ResourceBreadcrumbTag

extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `ResourceBreadcrumbTag.BreadcrumbItem`

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ResourceBreadcrumbTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getBaseBrowseUrl()`
`java.lang.String` | `getBaseResourceUrl()`
`java.lang.String` | `getCtype()`
`java.lang.String` | `getResourceId()`
`void` | `setBaseBrowseUrl(java.lang.String baseBrowseUrl)`
`void` | `setBaseResourceUrl(java.lang.String baseResourceUrl)`
`void` | `setCtype(java.lang.String ctype)`
`void` | `setResourceId(java.lang.String resourceId)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceBreadcrumbTag

    public ResourceBreadcrumbTag()

Method Detail

### getResourceId

    public java.lang.String getResourceId()

### setResourceId

    public void setResourceId(java.lang.String resourceId)

### getCtype

    public java.lang.String getCtype()

### setCtype

    public void setCtype(java.lang.String ctype)

### getBaseBrowseUrl

    public java.lang.String getBaseBrowseUrl()

### setBaseBrowseUrl

    public void setBaseBrowseUrl(java.lang.String baseBrowseUrl)

### getBaseResourceUrl

    public java.lang.String getBaseResourceUrl()

### setBaseResourceUrl

    public void setBaseResourceUrl(java.lang.String baseResourceUrl)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.